
import { INVOICESTATUS, MEMBERSTATE, REGISTERFLOW, STATE, USERREGISTERSTATE, WEICHARTPAYSTATE } from "../../config/enum";

enum TABLESOURCEENUM {
    mysql = 1,
    mongo = 2
}

enum TABLEENUM {
    学会概括 = 'xueHuiGaiKuo',
    学会领导 = 'xueHuiLingDao',
    学会架构 = 'xueHuiJiaGou',
    图片编辑 = 'tuPianBianJi',
    芳华杯 = 'fangHuaBei',
    党建 = 'dangJian',
    下载专区 = 'xiaZaiZhuanQu',
    会议通知 = 'huiYiTongZhi',
    文章管理 = 'wenZhangGuanLi',
    banner管理 = 'bannerGuanLi',
    视频管理 = 'shiPinGuanLi',
    专题系列 = 'zhuanTiXiLie',
    机构管理 = 'jiGouGuanLi',
    活动通知 = 'huoDongTongZhi',
    项目公告 = 'xiangMuGongGao',
    工作动态 = 'gongZuoDongTai',
    委员名单 = 'weiYuanMingDan',
    文字资料 = 'wenZiZiLiao',
}

const ModelArray = [
    {
        tableName:TABLEENUM.学会概括,
        source:TABLESOURCEENUM.mongo,
        schema:{
            id:{ type:'String', index:true },
            title:{ type:'String', default:'' },//标题
            desc:{ type:'String', default:'' },//简介
            imgList:{ type:'[String]', default:[] },//图片地址
            ut:{ type:'Number'}//最后一次修改时间
        }
    },
    {
        tableName:TABLEENUM.学会领导,
        source:TABLESOURCEENUM.mongo,
        schema:{
            id:{ type:'String', index:true },
            rank:{ type:'Number' },//排序
            name:{ type:'String', default:'' },//名称
            position:{ type:'String', default:'' },//职位
            imgUrl:{ type:'String', default:''},//大图地址
            miniImgUrl:{ type:'String', default:'' },//小图片地址
            desc:{ type:'String', default:'' },//描述
            ct:{ type:'Number'}//创建 时间
        }
    },
    {
        tableName:TABLEENUM.学会架构,
        source:TABLESOURCEENUM.mongo,
        schema:{
            id:{ type:'String', index:true },
            departmentName:{ type:'String', default:'' },//部门名称
            desc:{ type:'String', default:'' },//部门介绍
            display:{ type:'Number', default:0},//是否显示
            ct:{ type:'Number'}//创建 时间
        }
    },
    {
        tableName:TABLEENUM.图片编辑,
        source:TABLESOURCEENUM.mongo,
        schema:{
            id:{ type:'String', index:true },
            type:'Number',//枚举 IMGEDITFUNENUM
            index:'Number',
            imgUrl:{type:'String', default:''},
            desc:{type:'String', default:''}
        }
    },
    {
        tableName:TABLEENUM.芳华杯,
        source:TABLESOURCEENUM.mongo,
        schema:{
            id:{ type:'String', index:true },
            name:'String',
            works:'String',
            worksType:'Number',//作品类型枚举
            awardTime:'Number',//获奖时间
            desc:{type:'String', default:''}
        }
    },
    {
        tableName:TABLEENUM.党建,//党建类型
        source:TABLESOURCEENUM.mongo,
        schema:{
            id:{ type:'Number', index:true },
            type:'Number',//选项中的二级名称 枚举 PARTYBUILDTYPEENUM
            subType:'Number',//区分学习园地的视频资源和文章资源
            display:'Number',//是否在官网显示
            name:'String'
        }
    },
    {
        tableName:TABLEENUM.文字资料,
        source:TABLESOURCEENUM.mongo,
        schema:{
            id:{ type:'String', index:true },
            title:'String',//展示标题
            rank:'Number',//排序
            imgUrl:'String',//图片地址
            position:'Number',//位置
            articleTitle:'String',//文章标题
            articleUrl:'String',//链接 前端生成
            type:'Number',//分类 参考党建表>学习园地>文字资料
            updateTime:'Number',//更新时间
        }
    },
    {
        tableName:TABLEENUM.文章管理,
        source:TABLESOURCEENUM.mongo,
        schema:{
            id:{ type:'String', index:true },
            title:'String',//文章大标题
            articleType:'[Number]',//文章类型
            imgUrl:'[String]',//图片地址
            articleTime:'Number',//文章时间
            desc:'String',//内容
            display:{type:'Number', default:0},//是否显示 使用是否的枚举
            ct:'Number'
        }
    },
    {
        tableName:TABLEENUM.banner管理,
        source:TABLESOURCEENUM.mongo,
        schema:{
            id:{ type:'String', index:true },
            location:'Number',//所属位置枚举 24.3.1改成单选
            position:'Number',//位置
            articleTitle:'String',//文章标题
            imgUrl:'String',//图片地址
            articleUrl:'String',//文章链接
            desc:'String',//副标题
            display:{type:'Number', default:0},//是否显示 使用是否的枚举
            ct:'Number'
        }
    },
    {
        tableName:TABLEENUM.视频管理,
        source:TABLESOURCEENUM.mongo,
        schema:{
            id:{ type:'String', index:true },
            title:'String',//大标题
            videoType:'Number',//分类
            videoUrl:'String',//视频地址
            videoTime:'Number',//video时间
            desc:'String',//说明
            display:{type:'Number', default:0},//是否显示 使用是否的枚举
            ct:'Number',
            coverUrl:'String',//封面图片
        }
    },
    {
        tableName:TABLEENUM.专题系列,
        source:TABLESOURCEENUM.mongo,
        schema:{
            id:{ type:'String', index:true },
            rank:'Number',//排序 不可被修改
            title:'String',//标题
            position:'Number',//位置
            articleTitle:'String',//文章标题
            articleUrl:'String',//链接 前端生成
            imgUrl:'String',
            ct:'Number'
        }
    },
    {
        tableName:TABLEENUM.机构管理,
        source:TABLESOURCEENUM.mongo,
        schema:{
            id:{ type:'String', index:true },
            name:'String',//机构名称
            desc:'String',//内容
            createTime:'Number',//成立时间
            rank:'Number',
            logoUrl:'String',
            ct:'Number',
        }
    },
    {
        tableName:TABLEENUM.会议通知,
        source:TABLESOURCEENUM.mongo,
        schema:{
            id:{ type:'String', index:true },
            name:'String',//会议名称
            st:'Number',
            addrest:'String',
            members:{type:'[Number]', default:[]},//参会会员id，用中文逗号隔开
            push:'Number',//是否开启推送
            desc:'String',//参会说明
            ct:'Number'
        }
    },
    {
        tableName:TABLEENUM.活动通知,
        source:TABLESOURCEENUM.mongo,
        schema:{
            id:{ type:'String', index:true },
            name:'String',//活动名称
            st:'Number',//开始时间
            addrest:'String',
            members:{type:'[Number]', default:[]},//参会会员id，用中文逗号隔开
            push:'Number',//是否开启推送
            desc:'String',//参会说明
            ct:'Number'
        }
    },
    {
        tableName:TABLEENUM.项目公告,
        source:TABLESOURCEENUM.mongo,
        schema:{
            id:{ type:'String', index:true },
            name:'String',//项目名称
            st:'Number',
            addrest:'String',
            members:{type:'[Number]', default:[]},//参会会员id，用中文逗号隔开
            push:'Number',//是否开启推送
            desc:'String',//项目说明
            ct:'Number'
        }
    },
    {
        tableName:TABLEENUM.工作动态,
        source:TABLESOURCEENUM.mongo,
        schema:{
            id:{type:'String', index:true },
            agencyId:{type:'String', index:true},//机构id
            title:'String',//标题
            activityTime:'Number',//创建时间
            imgUrl:'String',//图片地址
            desc:'String',//内容
            isUse:{type:'Number', default:0},//是否上架0表示不上架1表示上架
            ct:'Number'
        }
    },
    {
        tableName:TABLEENUM.委员名单,
        source:TABLESOURCEENUM.mongo,
        schema:{
            id:{type:'String', index:true },
            agencyId:{type:'String', index:true},//机构id
            name:'String',//姓名
            branchDuties:'Number',//分会职务
            unit:'String',//单位
            unitDuties:'String',//单位职务
            ct:'Number'
        }
    },
    {
        tableName:TABLEENUM.下载专区,
        source:TABLESOURCEENUM.mongo,
        schema:{
            id:{ type:'String', index:true },
            agencyId:{type:'String', index:true},//机构id
            name:'String',
            type:'Number',
            fileUrl:'String',
            ct:'Number',//创建时间
        }
    }
];



export {ModelArray, TABLEENUM, TABLESOURCEENUM};

