/**
 * 总路由入口
 *
 * 
 * */

import { ERRORENUM } from "../config/errorEnum";
import { BizError } from "../util/bizError";
import { eccFormParam, eccReqParamater } from "../util/verificationParam";
import * as officalWebsiteRouter from "./officalWebsite/router";
import * as publicRouter from "./public/router";
import { checkUser, notCheck } from "../middleware/user";


export async function setRouter(httpServer){
    await analysisRouter(httpServer, officalWebsiteRouter.Config, officalWebsiteRouter.FirstRouter, false);//官网路由
    await analysisRouter(httpServer, publicRouter.Config, publicRouter.FirstRouter, false);//公用组件
}

async function analysisRouter(httpServer, config, firstRouter, haveMiddleware) {
    for (let modelKey in config) {
        config[modelKey].forEach(info => {
            let {apiName, defaultParam, subUrl, param, bindBiz, notMiddleware} = info;
            httpServer.post(firstRouter+subUrl , haveMiddleware? checkUser : notCheck, async function (req, res) {
                let chackObjectList = [];
                let checkStringMap = {};
                let stringNotMustHaveKeys = [];
                
                let funcParam:any = {};
                funcParam.userId = req.headers.userId;
        
                for (let i = 0; i < param.length; i++) {
                    let info:any = param[i];
                    let {key, type} = param[i];
                    if (info.isNull) stringNotMustHaveKeys.push(key);
                    if (type == 'Object') {
                        chackObjectList.push(param[i]);
                        checkStringMap[key] = type;
                    }
                    else checkStringMap[key] = type; 
                }
                /**校验参数 */
                if (chackObjectList.length) {
                    chackObjectList.forEach(item => {
                        if (!req.body[item.key]) throw new BizError(ERRORENUM.参数错误, `缺少参数${item.key}`);
                        eccFormParam(apiName, item.sub, req.body[item.key]);
                        funcParam[item.key] = req.body[item.key];
                    });
                }
                if (Object.keys(checkStringMap).length) {
                    let eccResult = eccReqParamater(apiName, checkStringMap, req.body, stringNotMustHaveKeys);
                    for (let key in eccResult) {
                        funcParam[key] = eccResult[key];
                    }
                }
                if (defaultParam) funcParam["defaultParam"] = defaultParam;
                let result = await bindBiz(funcParam);
        
                res.success(result);
            });
        });   
    }
    
}
